[tool.poetry]
name = "hoe-warm-is-het-in-delft"
version = "0.1.0"
description = ""
authors = ["jacek <jacek.grzywniak@codilime.com>"]
readme = "README.md"
packages = [{include = "hoe_warm_is_het_in_delft"}]

[tool.poetry.dependencies]
python = "^3.10"
requests = "^2.28.1"


[tool.poetry.group.dev.dependencies]
pre-commit = "^2.20.0"

[tool.isort]
profile = "black"

[tool.mypy]
disallow_untyped_calls = true
disallow_untyped_defs = true
disallow_incomplete_defs = true
disallow_any_explicit = true
disallow_any_generics = true

[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
